Subject: RE: [Simple] WGLC Extension for RPID, CIPID and future status [Future]

From: [email-masked]
Date: Wed, 12 May 2004 13:08:43 +0300

Hi,

Here are my comments to draft-ietf-simple-future-01. Sorry if I have
duplicated issues which have already been discussed. Other than these I
think draft is ready to go.

Page 1:
IPR statement section contains wrong RFC reference. 
in accordance with RFC 3667 -> in accordance with RFC 3668

Section 2, second parachaph:
time until which is element is expected to be valid ->
time until which this element is expected to be valid

Section 3, example
I think XML elements should be reordered to match how they are defined
in PIDF:

<?xml version="1.0" encoding="UTF-8"?>
      <presence xmlns="urn:ietf:params:xml:ns:pidf"
           xmlns:fs="urn:ietf:params:xml:ns:pidf:timed-status"
           entity="pres:[email-masked]">

        <tuple id="7c8dqui">
          <contact>sip:[email-masked]</contact>
          <status>
            <basic>open</basic>
          </status>
          <fs:time-status from="2003-08-15T10:20:00.000-05:00"
             until="2003-08-22T19:30:00.000-05:00">
             <basic>closed</basic>
          </fs:timed-status>
        </tuple>
        <note>I'll be in Tokyo next week</note>
     </presence>

->

<?xml version="1.0" encoding="UTF-8"?>
      <presence xmlns="urn:ietf:params:xml:ns:pidf"
           xmlns:fs="urn:ietf:params:xml:ns:pidf:timed-status"
           entity="pres:[email-masked]">

        <tuple id="7c8dqui">
          <status>
            <basic>open</basic>
          </status>
          <contact>sip:[email-masked]</contact>
        </tuple>
        <note>I'll be in Tokyo next week</note>
          <fs:time-status from="2003-08-15T10:20:00.000-05:00"
             until="2003-08-22T19:30:00.000-05:00">
             <basic>closed</basic>
          </fs:timed-status>
     </presence>

Section 5.1,
Line 
<title>Timed-Status Information in Presence Information Data
Format</title>
Seems to exceed maximum allowed number of characters.

References:
Can PIDF (draft-ietf-impp-cpim-pidf-08) be informative reference if
timed-status XML schemas uses elements defined in PIDF? I think it
should be normative.

- Mikko

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of ext [email-masked]
> Sent: Wednesday, May 12, 2004 10:39 AM
> To: [email-masked]
> Subject: [Simple] WGLC Extension for RPID, CIPID and future status
> 
> 
> The WGLC for RPID, CIPID and future status has completed. 
> Unfortunately, they did not get enough comments or reviews 
> and therefore the SIMPLE WG chairs will not pass those drafts 
> to IESG for consideration yet. We have decided to extend the 
> WGLC until May 24th hoping that more reviews, commented and 
> consensus that the drafts are ready can be gathered.
> 
http://www.ietf.org/internet-drafts/draft-ietf-simple-rpid-03.txt
http://www.ietf.org/internet-drafts/draft-ietf-simple-cipid-01.txt
http://www.ietf.org/internet-drafts/draft-ietf-simple-future-01.txt

Regards,
Hisham

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 15 May 2004 17:46:55 -0400

> in accordance with RFC 3667 -> in accordance with RFC 3668

xml2rfc bug; fixed by new version.

> time until which this element is expected to be valid

Fixed.

> Seems to exceed maximum allowed number of characters.

Adjusted to current title.

> timed-status XML schemas uses elements defined in PIDF? I think it

Indeed.

---

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 15 May 2004 17:46:55 -0400

Fixed.

Indeed.